%define		status		stable
%define		pearname	Horde_Cache
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde Caching API
Name:		php-horde-Horde_Cache
Version:	1.0.5
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	301b46849b96698077a569dcdb238851
URL:		https://github.com/horde/horde/tree/master/framework/Cache/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(hash)
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-horde-Horde_Util < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
Suggests:	php-eaccelerator
Suggests:	php-horde-Horde_Db
Suggests:	php-horde-Horde_Log
Suggests:	php-horde-Horde_Memcache
# http://bugs.horde.org/ticket/10031
Suggests:	php-pecl-APC
Suggests:	php-pecl-lzf
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	 pear(Horde/Db.*) pear(Horde/Log.*) pear(Horde/Memcache.*) pear(lzf.*)

%description
This package provides a simple, functional caching API, with the
option to store the cached data on the filesystem, in one of the PHP
opcode cache systems (APC, eAcclerator, XCache, or Zend Performance
Suite's content cache), memcached, or an SQL table.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc optional-packages.txt
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Cache
%{php_pear_dir}/Horde/Cache.php
%{php_pear_dir}/data/Horde_Cache
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 3aba253
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> 6f9e9ca
- updated to: 1.0.5

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> cffe7d0
- updated to: 1.0.4

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 256bd3e
- updated to: 1.0.3

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> d451ff2
- apc ext from proper channel

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> f1d84b4
- use github url to package, as pear url is not specific

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> b8ea3d5
- Horde dir dep

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> 3158823
- horde h4 pear packages

